%define anolis_release 1
%global pypi_name sacrebleu
%global pypi_version 2.3.0

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        %{anolis_release}%{?dist}
Summary:        Hassle-free computation of shareable, comparable, and reproducible BLEU, chrF, and TER scores

License:        Apache License 2.0
URL:            https://github.com/mjpost/sacrebleu
Source0:        https://github.com/mjpost/sacrebleu/archive/refs/tags/v2.3.0.tar.gz#/%{pypi_name}-%{pypi_version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(colorama)
BuildRequires:  python3dist(lxml)
BuildRequires:  python3dist(numpy) >= 1.17
BuildRequires:  python3dist(portalocker)
BuildRequires:  python3dist(regex)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(tabulate) >= 0.8.9

%description
 sacreBLEU[![PyPI version]( [![Python version]( [![GitHub issues]( ([Post,
2018]( provides hassle-free computation of shareable, comparable, and
reproducible **BLEU** scores. Inspired by Rico Sennrich's multi-bleu-
detok.perl, it produces the official WMT scores but works with plain text. It
also knows all the standard test sets and handles downloading, processing, and
tokenization for you.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(colorama)
Requires:       python3dist(lxml)
Requires:       python3dist(numpy) >= 1.17
Requires:       python3dist(portalocker)
Requires:       python3dist(regex)
Requires:       python3dist(setuptools)
Requires:       python3dist(tabulate) >= 0.8.9
%description -n python3-%{pypi_name}
 sacreBLEU[![PyPI version]( [![Python version]( [![GitHub issues]( ([Post,
2018]( provides hassle-free computation of shareable, comparable, and
reproducible **BLEU** scores. Inspired by Rico Sennrich's multi-bleu-
detok.perl, it produces the official WMT scores but works with plain text. It
also knows all the standard test sets and handles downloading, processing, and
tokenization for you.


%prep
%autosetup -n %{pypi_name}-%{pypi_version}

%build
%py3_build

%install
%py3_install


%check
%{__python3} setup.py test


%files -n python3-%{pypi_name}
%license LICENSE.txt
%doc README.md
%{_bindir}/sacrebleu
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{pypi_version}-py%{python3_version}.egg-info

%changelog
* Thu Feb 01 2024 zhongling.h <zhonglingh@linux.alibaba.com> - 2.3.0-1
- Initial package.